import { ComponentDesc } from './componentDesc';

export const componentMap: Record<string, ComponentDesc> = {
  actionsheet: {
    site: '/zh-CN/component/actionsheet',
    props: ["v-model:visible=''"]
  },
  address: {
    site: '/zh-CN/component/address',
    props: ["v-model:visible=''"]
  },
  addresslist: {
    site: '/zh-CN/component/addresslist',
    props: ["data=''"]
  },
  animate: {
    site: '/zh-CN/component/animate',
    props: ["type=''"]
  },
  audio: {
    site: '/zh-CN/component/audio',
    props: ["url=''"]
  },
  audiooperate: {
    site: '/zh-CN/component/audiooperate',
    props: ["type=''"]
  },
  avatar: {
    site: '/zh-CN/component/avatar',
    props: ["size=''"]
  },
  backtop: {
    site: '/zh-CN/component/backtop',
    props: ["el-id=''"]
  },
  badge: {
    site: '/zh-CN/component/badge',
    props: ["value=''"]
  },
  barrage: {
    site: '/zh-CN/component/barrage',
    props: ["danmu=''"]
  },
  button: {
    site: '/zh-CN/component/button',
    props: ["type=''"]
  },
  calendar: {
    site: '/zh-CN/component/calendar',
    props: ["v-model:visible=''"]
  },
  card: {
    site: '/zh-CN/component/card',
    props: ["img-url=''"]
  },
  cascader: {
    site: '/zh-CN/component/cascader',
    props: ["v-model=''"]
  },
  category: {
    site: '/zh-CN/component/category',
    props: ["type=''"]
  },
  cell: {
    site: '/zh-CN/component/cell',
    props: ["title=''"]
  },
  checkbox: {
    site: '/zh-CN/component/checkbox',
    props: ["v-model=''"]
  },
  circleprogress: {
    site: '/zh-CN/component/circleprogress',
    props: ["progress=''"]
  },
  collapse: {
    site: '/zh-CN/component/collapse',
    props: ["v-model=''"]
  },
  comment: {
    site: '/zh-CN/component/comment',
    props: ["headerType=''"]
  },
  configprovider: {
    site: '/zh-CN/component/configprovider',
    props: ["theme=''"]
  },
  countdown: {
    site: '/zh-CN/component/countdown',
    props: ["v-model=''"]
  },
  countup: {
    site: '/zh-CN/component/countup',
    props: ["init-num=''"]
  },
  datepicker: {
    site: '/zh-CN/component/datepicker',
    props: ["v-model=''"]
  },
  dialog: {
    site: '/zh-CN/component/dialog',
    props: ["title=''"]
  },
  divider: {
    site: '/zh-CN/component/divider',
    props: ["dashed=''"]
  },
  drag: {
    site: '/zh-CN/component/drag',
    props: ["attract=''"]
  },
  ecard: {
    site: '/zh-CN/component/ecard',
    props: ["modelValue=''"]
  },
  elevator: {
    site: '/zh-CN/component/elevator',
    props: ["height=''"]
  },
  ellipsis: {
    site: '/zh-CN/component/ellipsis',
    props: ["content=''"]
  },
  empty: {
    site: '/zh-CN/component/empty',
    props: ["image=''"]
  },
  fixednav: {
    site: '/zh-CN/component/fixednav',
    props: ["visible=''"]
  },
  form: {
    site: '/zh-CN/component/form',
    props: ["model-value=''"]
  },
  grid: {
    site: '/zh-CN/component/grid',
    props: ["column-num=''"]
  },
  icon: {
    site: '/zh-CN/component/icon',
    props: ["name=''"]
  },
  image: {
    site: '/zh-CN/component/image',
    props: ["src=''"]
  },
  imagepreview: {
    site: '/zh-CN/component/imagepreview',
    props: ["show=''"]
  },
  indicator: {
    site: '/zh-CN/component/indicator',
    props: ["current=''"]
  },
  infiniteloading: {
    site: '/zh-CN/component/infiniteloading',
    props: ["has-more=''"]
  },
  input: {
    site: '/zh-CN/component/input',
    props: ["v-model=''"]
  },
  inputnumber: {
    site: '/zh-CN/component/inputnumber',
    props: ["v-model=''"]
  },
  invoice: {
    site: '/zh-CN/component/invoice',
    props: ["data=''"]
  },
  layout: {
    site: '/zh-CN/component/layout',
    props: ["type=''"]
  },
  list: {
    site: '/zh-CN/component/list',
    props: ["height=''"]
  },
  menu: {
    site: '/zh-CN/component/menu',
    props: ["active-color=''"]
  },
  navbar: {
    site: '/zh-CN/component/navbar',
    props: ["title=''"]
  },
  noticebar: {
    site: '/zh-CN/component/noticebar',
    props: ["direction=''"]
  },
  notify: {
    site: '/zh-CN/component/notify',
    props: ["type=''"]
  },
  numberkeyboard: {
    site: '/zh-CN/component/numberkeyboard',
    props: ["v-model:visible=''"]
  },
  oldpicker: {
    site: '/zh-CN/component/oldpicker',
    props: ["v-model:visible=''"]
  },
  overlay: {
    site: '/zh-CN/component/overlay',
    props: ["v-model:visible=''"]
  },
  pagination: {
    site: '/zh-CN/component/pagination',
    props: ["v-model=''"]
  },
  picker: {
    site: '/zh-CN/component/picker',
    props: ["v-model:value=''"]
  },
  popover: {
    site: '/zh-CN/component/popover',
    props: ["list=''"]
  },
  popup: {
    site: '/zh-CN/component/popup',
    props: ["v-model:visible=''"]
  },
  price: {
    site: '/zh-CN/component/price',
    props: ["price=''"]
  },
  progress: {
    site: '/zh-CN/component/progress',
    props: ["percentage=''"]
  },
  pullrefresh: {
    site: '/zh-CN/component/pullrefresh',
    props: ["useWindow=''"]
  },
  radio: {
    site: '/zh-CN/component/radio',
    props: ["disabled=''"]
  },
  range: {
    site: '/zh-CN/component/range',
    props: ["v-model=''"]
  },
  rate: {
    site: '/zh-CN/component/rate',
    props: ["v-model=''"]
  },
  searchbar: {
    site: '/zh-CN/component/searchbar',
    props: ["v-model=''"]
  },
  shortpassword: {
    site: '/zh-CN/component/shortpassword',
    props: ["v-model=''"]
  },
  sidenavbar: {
    site: '/zh-CN/component/sidenavbar',
    props: ["offset=''"]
  },
  signature: {
    site: '/zh-CN/component/signature',
    props: ["custom-class=''"]
  },
  skeleton: {
    site: '/zh-CN/component/skeleton',
    props: ["loading=''"]
  },
  sku: {
    site: '/zh-CN/component/sku',
    props: ["v-model:visible=''"]
  },
  steps: {
    site: '/zh-CN/component/steps',
    props: ["direction=''"]
  },
  sticky: {
    site: '/zh-CN/component/sticky',
    props: ["position=''"]
  },
  swipe: {
    site: '/zh-CN/component/swipe',
    props: ["name=''"]
  },
  swiper: {
    site: '/zh-CN/component/swiper',
    props: ["width=''"]
  },
  swiperitem: {
    site: '/zh-CN/component/swiperitem',
    props: ['']
  },
  switch: {
    site: '/zh-CN/component/switch',
    props: ["v-model=''"]
  },
  tabbar: {
    site: '/zh-CN/component/tabbar',
    props: ["v-model:visible=''"]
  },
  table: {
    site: '/zh-CN/component/table',
    props: ["bordered=''"]
  },
  tabs: {
    site: '/zh-CN/component/tabs',
    props: ["v-model=''"]
  },
  tag: {
    site: '/zh-CN/component/tag',
    props: ["type=''"]
  },
  temp: {
    site: '/zh-CN/component/temp',
    props: ["name=''"]
  },
  textarea: {
    site: '/zh-CN/component/textarea',
    props: ["v-model=''"]
  },
  timedetail: {
    site: '/zh-CN/component/timedetail',
    props: ["height=''"]
  },
  timepannel: {
    site: '/zh-CN/component/timepannel',
    props: ["height=''"]
  },
  timeselect: {
    site: '/zh-CN/component/timeselect',
    props: ["visible=''"]
  },
  toast: {
    site: '/zh-CN/component/toast',
    props: ["Toast.text=''"]
  },
  trendarrow: {
    site: '/zh-CN/component/trendarrow',
    props: ["rate=''"]
  },
  uploader: {
    site: '/zh-CN/component/uploader',
    props: ["auto-upload=''"]
  },
  video: {
    site: '/zh-CN/component/video',
    props: ["source=''"]
  },
  watermark: {
    site: '/zh-CN/component/watermark',
    props: ["width=''"]
  }
};
